XP打了SP2之后的安全问题。到底怎么回事??!!!

fanzai 2004-09-19 10:18:58
近日赶时髦打了SP2补丁。发现IE多了很多安全方面的功能,但是随之而来了一个非常古怪的问题。我的本机网页中的所有脚本程序都不能正常运行。
经过试验发现一个现象,当一个文件内容为下面仅有的两行时,网页正常:
<!-- saved from url=(00000) -->
<SCRIPT></SCRIPT>
当去掉第一行变成下面的一行时,IE会发出安全警告:
<SCRIPT></SCRIPT>

这是巧合吗?如何解释?难道以后我们在本机调试脚本,都要加上上面那一行?
...全文
88 8 打赏 收藏 举报
写回复
8 条回复
切换为时间正序
当前发帖距今超过3年,不再开放新的回复
发表回复
DeltaCat 2004-09-20
  • 打赏
  • 举报
回复
新的东西, 尽量不要这么快就用, 等到大家都认为稳定了再说,要不然自己吃苦头
fanzai 2004-09-20
  • 打赏
  • 举报
回复
呵呵,多谢!
不过我这里好像第一行空行也是不行。有的时候也面缓存之类的东西会有影响,我每次都重开IE才行。
我去新发一条帖子吧,既然是新问题,就跟大家公布一下~~~
flyskytoday 2004-09-20
  • 打赏
  • 举报
回复
发现有点JS页面中第一行空行好象也可以解决
coldhoo 2004-09-20
  • 打赏
  • 举报
回复
U!P!
flyskytoday 2004-09-20
  • 打赏
  • 举报
回复
帮你顶:)
fanzai 2004-09-19
  • 打赏
  • 举报
回复
补充一条:
不加第一行,IE右下角显示为“我的电脑”,脚本运行会发出警告。
fanzai 2004-09-19
  • 打赏
  • 举报
回复
经过进一步研究发现,在第一行加入类似代码有如下现象:

<!-- saved from url=(0000) -->
IE右下角显示为“受限站点”,不提示警告,但是脚本仍无法运行。

<!-- saved from url=(0009)http://a/ -->
IE右下角显示为“本地Intranet”,脚本可以运行。

<!-- saved from url=(0011)http://a.a/ -->
IE右下角显示为“Intranet”,脚本同样可以运行。(和上面的安全级别可能不同)
flyskytoday 2004-09-19
  • 打赏
  • 举报
回复
新发现
好样地

偶昨天也升级到sp2 多了个微软的防火墙,不过感觉不是很好
相关推荐
发帖
JavaScript

8.7w+

社区成员

Web 开发 JavaScript
社区管理员
  • JavaScript
  • 无·法
加入社区
帖子事件
创建了帖子
2004-09-19 10:18
社区公告
暂无公告